petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetConeOrientation

Return the orientations on the in-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetConeOrientation(DM dm, PetscInt p, const PetscInt *coneOrientation[])

Not collective Many br

### Input Parameters

| mesh | - The DMPlex Many br
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart() Many br

### Output Parameter

coneOrientation -An array of orientations which are on the in-edges for point p. An orientation is an Many brinteger giving the prescription for cone traversal. If it is negative, the cone is Many brtraversed in the opposite direction. Its value 'o', or if negative '-(o+1)', gives Many brthe index of the cone point on which to start. Many br

Many br

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must Many brinclude petsc.h90 in your code. Many br

You must also call DMPlexRestoreConeOrientation() after you finish using the returned array. Many br

### See Also

DMPlexCreate(), DMPlexGetCone(), DMPlexSetCone(), DMPlexSetChart()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html